<template>
<v-container pl-0>
  <page-title backurl="/">Контакты</page-title>

  <v-row justify="space-between">
    <v-col class="pr-0 mr-0">
      <v-simple-table style="max-width: 500px">
        <template v-slot:default>
          <tbody>
            <tr><td>Telegram</td><td><a href="https://t.me/pashinin" target="_blank">@pashinin</a></td></tr>
            <tr><td>Skype</td><td><a href="skype:sergey-pashinin?chat">sergey-pashinin</a></td></tr>
            <tr><td>Email</td><td><a href="mailto:sergey@pashinin.com?subject=Информатика">sergey@pashinin.com</a></td></tr>
            <tr><td>Вконтакте</td><td><a href="https://vk.com/pashinin" target="_blank">pashinin</a></td></tr>
            <tr><td>Адрес</td><td>
                Москва, ул. Туристская 19к1,
                <a target="_blank"
                   href="https://yandex.ru/maps/org/repetitor_po_informatike_i_programmirovaniyu/1682137908/?ll=37.421156%2C55.852263&z=18"
                   alt="Яндекс карты">
                  открыть Яндекс.Карты
                </a>
            </td></tr>
          </tbody>
        </template>
      </v-simple-table>

      <v-container>
        <v-alert border="left" color="success" colored-border>
          Занятия дистанционные. Не нужно ездить по городу в пробках.
        </v-alert>

        <v-alert border="left" colored-border>
          Очные занятия я перестал проводить, т.к. всем стало удобнее
          заниматься удалённо.
        </v-alert>
      </v-container>
    </v-col>

    <v-col class="hidden-xs-only d-none col-auto">
      <v-card flat>
        <v-img
          :src="repetitor.pic2"
          max-width="230"
          class="mb-2"
          >
          <v-layout column fill-height>
            <v-spacer></v-spacer>
            <div
              class="text-xs-right white--text px-3 py-2 d-none"
              style="background-color:rgba(0,0,0,0.4)"
              >
              Пашинин Сергей Александрович <br/>
              МГТУ им. Баумана
            </div>
          </v-layout>
        </v-img>

        <v-btn icon href="https://vk.com/pashinin" target="_blank">
          <v-icon class="indigo--text">fab fa-vk</v-icon>
        </v-btn>
      </v-card>
    </v-col>
  </v-row>
</v-container>
</template>

<script>
import { mapState } from 'vuex';

export default {
  metaInfo: {
    title: 'Контакты',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Как со мной связаться',
      },
    ],
  },
  components: {
    // qa: () => import('@/common/QA.vue'),
    'page-title': () => import('@/common/PageTitle.vue'),
  },
  computed: {
    ...mapState([
      'repetitor',
    ]),
  },
  data: () => ({
    menu: {
      items: [

      ],
    },
  }),
};
</script>
